package keris.lang;

import java.io.*;


public module interface IN {

    int read() throws IOException;

    int read(byte b[]) throws IOException;
    
    int read(byte b[], int off, int len) throws IOException;

    long skip(long n) throws IOException;
    
    int available() throws IOException;
    
    boolean readBoolean() throws IOException;

    byte readByte() throws IOException;

    int readUnsignedByte() throws IOException;

    short readShort() throws IOException;

    int readUnsignedShort() throws IOException;

    char readChar() throws IOException;

    int readInt() throws IOException;

    long readLong() throws IOException;

    float readFloat() throws IOException;

    double readDouble() throws IOException;

    String readLine() throws IOException;
    
    String readUTF() throws IOException;
}
